From ca73d44323c4a279f042f942f21278e3be24ef97 Mon Sep 17 00:00:00 2001
From: sajolida <sajolida@pimienta.org>
Date: Fri, 16 Nov 2018 17:25:00 +0000
Subject: [PATCH] Redirect the pages removed because of the distribution of USB
 images (#16130)

- People on Debian should follow the Linux instructions.
- People on MAC should install on a USB stick by default like
  for Windows and Linux.
---
 templates/website/nginx/rewrite_rules.conf.erb | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/templates/website/nginx/rewrite_rules.conf.erb b/templates/website/nginx/rewrite_rules.conf.erb
index 03f612b..576cdf3 100644
--- a/templates/website/nginx/rewrite_rules.conf.erb
+++ b/templates/website/nginx/rewrite_rules.conf.erb
@@ -89,13 +89,21 @@ rewrite ^/gdm/?$ /support/known_issues/graphics permanent;
 rewrite ^/git/?$ /contribute/git permanent;
 rewrite ^/GnuPG_key/?$ /doc/about/openpgp_keys permanent;
 rewrite ^/install/os/?$ /install permanent;
+rewrite ^/install/debian/?$ /install/linux permanent;
 rewrite ^/install/debian/clone/overview/?$ /install/debian/clone-overview permanent;
+rewrite ^/install/debian/clone-overview/?$ /install/linux/clone-overview permanent;
+rewrite ^/install/debian/usb/?$ /install/linux/usb permanent;
+rewrite ^/install/debian/usb-download/?$ /install/linux/usb-download permanent;
 rewrite ^/install/debian/usb/overview/?$ /install/debian/usb-overview permanent;
+rewrite ^/install/debian/usb-overview/?$ /install/linux/usb-overview permanent;
 rewrite ^/install/expert/usb/overview/?$ /install/expert/usb-overview permanent;
 rewrite ^/install/linux/clone/overview/?$ /install/linux/clone-overview permanent;
 rewrite ^/install/linux/usb/overview/?$ /install/linux/usb-overview permanent;
 rewrite ^/install/mac/clone/overview/?$ /install/mac/clone-overview permanent;
+rewrite ^/install/mac/dvd/?$ /install/mac/usb permanent;
+rewrite ^/install/mac/dvd-download/?$ /install/mac/usb-download permanent;
 rewrite ^/install/mac/dvd/overview/?$ /install/mac/dvd-overview permanent;
+rewrite ^/install/mac/dvd-overview/?$ /install/mac/usb-overview permanent;
 rewrite ^/install/mac/usb/overview/?$ /install/mac/usb-overview permanent;
 rewrite ^/install/win/clone/overview/?$ /install/win/clone-overview permanent;
 rewrite ^/install/win/usb/overview/?$ /install/win/usb-overview permanent;
-- 
2.11.0

